# $Revision: 1.44 $, $Date: 2004/11/02 10:55:43 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DBD
%define	pnam	XBase
Summary:	XBase - reading and writing the DBF files from Perl
Summary(pl):	XBase - czytanie i zapisywanie plikw DBF z poziomu Perla
Name:		perl-DBD-XBase
Version:	0.241
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	ed36f8722f09406d35c8af801fa78c3b
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-DBI
%endif
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This module can read and write XBase database files, known as dbf in
dBase and FoxPro world. It also reads memo fields from the dbt and
fpt files, if needed. An alpha code of reading index support for ndx,
ntx, mdx, idx and cdx is available for testing - see the DBD::Index(3)
man page. Module XBase provides simple native interface to XBase
files. For DBI compliant database access, see the DBD::XBase and DBI
modules and their man pages.

%description -l pl
Ten modu moe czyta i zapisywa pliki baz danych XBase, znane jako
dbf w wiecie dBase i FoxPro. Moe take czyta w razie potrzeby pola
memo w plikw dbt i fpt. Kod w fazie alpha czytajcy indeksy ndx, ntx,
mdx, idx i cdx jest dostpny do testowania - wicej w DBD::Index(3).
Modu XBase udostpnia prosty natywny interfejs do plikw XBase.
Wicej o zgodnym z DBI dostpie do baz danych mona dowiedzie si z
moduw i stron manuala DBD::XBase i DBI.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

# get rid of pod documentation
rm -f $RPM_BUILD_ROOT%{perl_vendorlib}/XBase/*.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README ToDo
%attr(755,root,root) %{_bindir}/*dump
%{perl_vendorlib}/DBD/XBase.pm
%{perl_vendorlib}/XBase.pm
%{perl_vendorlib}/XBase
%{_mandir}/man[13]/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBD-XBase.spec,v $
Revision 1.44  2004/11/02 10:55:43  adamg
- get rid of pod documentation
- release 2

Revision 1.43  2004/05/06 18:43:08  ankry
- fixed perl-devel BR

Revision 1.42  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.41  2004/04/20 05:35:02  ankry
- license fixes and unification

Revision 1.40  2003/12/25 13:44:43  migo
- up to 0.241, new bcond style
- license cosmetics

Revision 1.39  2003/10/20 09:56:33  qboosh
- updated to 0.240

Revision 1.38  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.37  2003/08/18 08:08:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.36  2003/07/31 09:19:18  qboosh
- up to 0.234

Revision 1.35  2003/06/10 14:48:04  qboosh
- update to 0.232, added indexdump (merged from RA-branch); release 2

Revision 1.34  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.33  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.32  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.31  2003/03/01 18:05:01  radek
- should be ready for perl-5.8.0; release++

Revision 1.30  2003/02/25 00:38:30  radek
- use the __perl macro

Revision 1.29  2003/02/18 15:30:38  ankry
- massive attack: change CPAN URLs

Revision 1.28  2002/11/20 12:02:03  mis
- autoupdated to 0.231

Revision 1.27  2002/09/09 22:42:25  qboosh
- pl description, release 2

Revision 1.26  2002/09/08 11:02:01  radek
- version 2.220
- provided informative summary/description
- new %doc, moved examples to %_examplesdir, enabled tests

Revision 1.25  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.24  2002/07/10 08:46:49  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.23  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.22  2002/02/25 10:30:46  depesz
cleanup; revision++

Revision 1.21  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.20  2002/02/13 14:11:16  depesz
automatic: Source location unfied, Relase Up

Revision 1.19  2002/02/10 15:25:07  depesz
adapterized

Revision 1.18  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.17  2001/08/27 11:04:13  mis
- autoupdated to 0.200

Revision 1.16  2001/08/02 08:27:33  mis
- autoupdated to 0.177

Revision 1.15  2001/05/22 16:54:53  mis
- buildarch noarch
- release++

Revision 1.14  2001/04/17 12:07:13  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.13  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.12  2001/02/20 14:50:04  mis
- updated (by autoup) to 0.173

Revision 1.11  2001/02/19 13:21:45  mis
- updated (by autoup) to 0.162

Revision 1.10  2000/12/30 06:48:45  kloczek
- release 2: rebuild agaunst perl 5.6 and use new rpm automation.

Revision 1.9  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:32  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/16 22:13:21  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:18  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:48  baggins
- translated kloczkish into english

Revision 1.4  2000/02/17 20:38:40  pius
- updated to 0.160

Revision 1.3  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.2  1999/11/03 11:09:29  pius
- added '%include /usr/lib/rpm/macros.perl'
- modified BuildRequires rules

Revision 1.1  1999/10/09 23:49:19  pius
- initial release
